# Importing Contracts by CSV

#### Bulk Upload or Update Contracts in Avanoo

Avanoo simplifies the process of uploading or updating your contracts in bulk. Utilize the contract import tool to seamlessly import contracts from either a CSV file.

## Template

Send a csv file with at least the following columns in any order:

* contactName: string
* applicationName: string
* LicenseName: string
* yearlyCost: number > 0
* currency: ISO 4217 (EUR,BTN,...)
* autoRenewal: (true | false)
* startDate: dd/MM/yyyy
* endDate: dd/MM/yyyy
* resilisationDate: dd/MM/yyyy
* contractManagerEmail: string
* businessUnit: string
* supplierName: string
* paymentTerm:
  * WEEKLY
  * MONTHLY
  * YEARLY
  * BIWEEKLY
  * BIMONTHLY
  * TRIMONTHLY
  * SEMIYEARLY
* CancellationNoticePeriod: number > 0
* licenseCount: number > 0

Optional:

* userEmail: user email with a license as a string

You can add any other fields, but it might not be supported.\
\
Here is the csv template: with examples

{% file src="/files/yyapwMpBtKtRqsFhMBHp" %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.avanoo.ai/public-knowledge-base/renewals-and-contract-management/importing-contracts-by-csv.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
